Package ru.bitel.bgbilling.kernel.contract.api.server.bean

# Class ContractLimitMovementDao

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.common.dao.AbstarctDaoConstant
ru.bitel.bgbilling.common.dao.AbstractDao<ContractLimitMovement>
ru.bitel.bgbilling.common.dao.AbstractIdDao<ContractLimitMovement>
ru.bitel.bgbilling.kernel.contract.api.server.bean.ContractLimitMovementDao

public class ContractLimitMovementDao extends ru.bitel.bgbilling.common.dao.AbstractIdDao<ContractLimitMovement>

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstractDao

  `orderByPattern`

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `con, ERROR, fields, moduleId, SQL_ALL, SQL_AND, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_JOIN, SQL_LEFT_JOIN, SQL_LIMIT, SQL_NOT_IN, SQL_ON, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE, tableName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ContractLimitMovementDao(Connection con)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected ContractLimitMovement`
  `getFromRS(ResultSet rs)`
  `List<ContractLimitMovement>`
  `list(int contractId, Date dateFrom, Date dateTo)`
  Возвращает список движений лимита (contract_limit_manage).
  Почему-то в исходном `LimitManager.getUserLimitMove(int, java.util.Calendar, java.util.Calendar)` фильтр по периоду не на пересечение, поэтому пока здесь также.
  `protected void`
  `updateImpl(ContractLimitMovement b)`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstractIdDao

  `delete, executeUpdate, get, getAndDelete, getAndUpdate, opt, prepareStatement, sqlCommand, sqlCommandAndTable, sqlQuery, sqlWhereId`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstractDao

  `delete, deleteImpl, eq, get, getById, getImpl, getListFromRS, getPeriod, getQueryById, getSQLOrder, list, list, list, listImpl, listImpl, listImplPS, listImplPS, ormFromResultSet, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, psSetPeriod, queryPeriod, setStatementParam, update`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `getSQLOrder, getTableName, psSetDate, psSetInt, psSetString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ContractLimitMovementDao

    public ContractLimitMovementDao(Connection con)

- ## Method Details

  - ### getFromRS

    protected ContractLimitMovement getFromRS(ResultSet rs) throws SQLException
    Specified by:
      `getFromRS` in class `ru.bitel.bgbilling.common.dao.AbstractDao<ContractLimitMovement>`
    Throws:
      `SQLException`

  - ### list

    public List<ContractLimitMovement> list(int contractId, Date dateFrom, Date dateTo) throws SQLException
    Возвращает список движений лимита (contract_limit_manage).
    Почему-то в исходном `LimitManager.getUserLimitMove(int, java.util.Calendar, java.util.Calendar)` фильтр по периоду не на пересечение, поэтому пока здесь также.
    Parameters:
      `contractId` -
      `dateFrom` -
      `dateTo` -
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `SQLException`
    See Also:
      - `LimitManager`
      - `LimitManager.getUserLimitMove(int, java.util.Calendar, java.util.Calendar)`
      - `LimitManager.getUserLimitMove(int, int, int)`

  - ### updateImpl

    protected void updateImpl(ContractLimitMovement b) throws SQLException
    Specified by:
      `updateImpl` in class `ru.bitel.bgbilling.common.dao.AbstractDao<ContractLimitMovement>`
    Throws:
      `SQLException`